Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

# Class Rate4

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_08.Rate4

public class Rate4 extends Object

Java class for Rate4 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Rate4">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}RateType4Choice"/>
             <element name="VldtyRg" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}ActiveOrHistoricCurrencyAndAmountRange2" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected RateType4Choice`
`tp`
`protected ActiveOrHistoricCurrencyAndAmountRange2`
`vldtyRg`

## Constructor Summary

Constructors
Constructor
Description
`Rate4()`

## Method Summary

Modifier and Type
Method
Description
`RateType4Choice`
`getTp()`
Gets the value of the tp property.
`ActiveOrHistoricCurrencyAndAmountRange2`
`getVldtyRg()`
Gets the value of the vldtyRg property.
`void`
`setTp(RateType4Choice value)`
Sets the value of the tp property.
`void`
`setVldtyRg(ActiveOrHistoricCurrencyAndAmountRange2 value)`
Sets the value of the vldtyRg property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tp

protected RateType4Choice tp

### vldtyRg

protected ActiveOrHistoricCurrencyAndAmountRange2 vldtyRg

## Constructor Details

### Rate4

public Rate4()

## Method Details

### getTp

public RateType4Choice getTp()
Gets the value of the tp property.

Returns:
  possible object is `RateType4Choice`

### setTp

public void setTp(RateType4Choice value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `RateType4Choice`

### getVldtyRg

public ActiveOrHistoricCurrencyAndAmountRange2 getVldtyRg()
Gets the value of the vldtyRg property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmountRange2`

### setVldtyRg

public void setVldtyRg(ActiveOrHistoricCurrencyAndAmountRange2 value)
Sets the value of the vldtyRg property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmountRange2`